linux-lts-raring: 3.8.0-39.57~precise1 -proposed tracker

Bug #1300956 reported by Kamal Mostafa on 2014-04-01
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-raring (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-39.57~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 01. April 2014 18:55 UTC
kernel-stable-Prepare-package-end:Tuesday, 01. April 2014 23:05 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 01. April 2014 23:05 UTC
ppa-package-testing-start:Wednesday, 02. April 2014 00:18 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 08. April 2014 05:05 UTC
kernel-stable-Verification-testing-start:Tuesday, 08. April 2014 07:07 UTC
kernel-stable-Certification-testing-start:Tuesday, 08. April 2014 07:07 UTC
kernel-stable-Security-signoff-start:Tuesday, 08. April 2014 07:07 UTC
kernel-stable-Regression-testing-start:Tuesday, 08. April 2014 07:07 UTC
kernel-stable-Certification-testing-end:Monday, 21. April 2014 16:07 UTC
kernel-stable-Regression-testing-end:Monday, 21. April 2014 16:07 UTC
kernel-stable-Security-signoff-end:Monday, 21. April 2014 16:07 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 22. April 2014 15:50 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Saturday, 26. April 2014 13:56 UTC
kernel-stable-Promote-to-updates-end:Saturday, 26. April 2014 13:56 UTC

CVE References

tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-04-02
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and -signed built.

Brad Figg (brad-figg) on 2014-04-08
description: updated
Brad Figg (brad-figg) on 2014-04-08
description: updated
Adam Conrad (adconrad) on 2014-04-08
Changed in linux-lts-raring (Ubuntu):
status: New → Invalid

Hardware Certification have begun testing this -proposed kernel.

Paul Larson (pwlars) on 2014-04-11
tags: added: qa-testing-passed

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.8.0-39.57~precise1/precise-3.8-proposed.html

tags: added: certification-testing-passed
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-04-21
description: updated
Brad Figg (brad-figg) on 2014-04-22
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (6.8 KiB)

This bug was fixed in the package linux-lts-raring - 3.8.0-39.57~precise1

---------------
linux-lts-raring (3.8.0-39.57~precise1) precise; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1300956

  [ Tim Gardner ]

  * [Config] updateconfigs after Linux 3.8.13.19 stable update
  * [Config] CONFIG_ARPD=y
    - LP: #1295666

  [ Upstream Kernel Changes ]

  * kernel.h: define u8, s8, u32, etc. limits
    - LP: #1300343
  * kernel.h: undef clashing U64_MAX, U32_MAX size limits
    - LP: #1300343
  * ata: enable quirk from jmicron JMB350 for JMB394
    - LP: #1300343
  * sata_sil: apply MOD15WRITE quirk to TOSHIBA MK2561GSYN
    - LP: #1300343
  * cgroup: fix locking in cgroup_cfts_commit()
    - LP: #1300343
  * xfs: ensure correct timestamp updates from truncate
    - LP: #1300343
  * ARM: 7953/1: mm: ensure TLB invalidation is complete before enabling
    MMU
    - LP: #1300343
  * ARM: barrier: allow options to be passed to memory barrier instructions
    - LP: #1300343
  * ARM: 7955/1: spinlock: ensure we have a compiler barrier before sev
    - LP: #1300343
  * ASoC: da9055: Fix device registration of PMIC and CODEC devices
    - LP: #1300343
  * ARM: dma-mapping: fix GFP_ATOMIC macro usage
    - LP: #1300343
  * x86: dma-mapping: fix GFP_ATOMIC macro usage
    - LP: #1300343
  * SUNRPC: Fix races in xs_nospace()
    - LP: #1300343
  * drm/i915: Add intel_ring_cachline_align()
    - LP: #1300343
  * drm/i915: Prevent MI_DISPLAY_FLIP straddling two cachelines on IVB
    - LP: #1300343
  * can: kvaser_usb: check number of channels returned by HW
    - LP: #1300343
  * ext4: don't try to modify s_flags if the the file system is read-only
    - LP: #1300343
  * drm/vmwgfx: Fix possible integer overflow
    - LP: #1300343
  * drm/i915/dp: increase native aux defer retry timeout
    - LP: #1300343
  * drm/i915/dp: add native aux defer retry limit
    - LP: #1300343
  * rtlwifi: rtl8192ce: Fix too long disable of IRQs
    - LP: #1300343
  * rtlwifi: Fix incorrect return from rtl_ps_enable_nic()
    - LP: #1300343
  * rtl8187: fix regression on MIPS without coherent DMA
    - LP: #1300343
  * PCI: Enable INTx if BIOS left them disabled
    - LP: #1300343
  * cifs: ensure that uncached writes handle unmapped areas correctly
    - LP: #1300343
  * CIFS: Fix too big maxBuf size for SMB3 mounts
    - LP: #1300343
  * ext4: fix online resize with very large inode tables
    - LP: #1300343
  * ext4: fix online resize with a non-standard blocks per group setting
    - LP: #1300343
  * ext4: don't leave i_crtime.tv_sec uninitialized
    - LP: #1300343
  * ALSA: usb-audio: Add a quirk for Plantronics Gamecom 780
    - LP: #1300343
  * ALSA: usb-audio: work around KEF X300A firmware bug
    - LP: #1300343
  * avr32: fix missing module.h causing build failure in mimc200/fram.c
    - LP: #1300343
  * avr32: Makefile: add '-D__linux__' flag for gcc-4.4.7 use
    - LP: #1300343
  * ARM: 7957/1: add DSB after icache flush in __flush_icache_all()
    - LP: #1300343
  * ACPI / PCI: Fix memory leak in acpi_pci_irq_enable()
    - LP: #1300343
  * ahci: disable NCQ on Samsung pci-e SSDs on macbooks
    - LP: #1300343
  * usb: gadget: bcm63xx_udc...

Read more...

Changed in linux-lts-raring (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-04-25
description: updated

Promote-to-security is Fix Released, but some packages for this update aren't published in Launchpad, on -security pocket:

linux-signed-lts-raring for version=3.8.0-39.57~precise1
linux-meta-lts-raring with ABI=39

Promote-to-updates is Fix Released, but some packages for this update aren't published in Launchpad, on -updates pocket:

linux-signed-lts-raring for version=3.8.0-39.57~precise1
linux-meta-lts-raring with ABI=39

description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers